View Issue Details

IDProjectCategoryView StatusLast Update
0000136After The Collapse[All Projects] Generalpublic2020-02-03 23:00
ReporterdarshanAssigned ToEsKa 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindows 10OS VersionLatest
Product Version 
Target VersionFixed in Version 
Summary0000136: Pasture doesn't get wheat if overgrown with trees
DescriptionSettlers can't reach their target spot on the pasture to deliver wheat. It seems this spot was overgrown with trees or the pathing couldn't find a way around the new trees.
Steps To ReproduceSavegame: https://www.sendspace.com/file/7saxqx (too large for attachment)

Load savegame
watch settlers running against the trees
Additional InformationRemoving the trees will fix it.
TagsNo tags attached.

Activities

EsKa

2020-02-03 22:58

administrator   ~0000092

Last edited: 2020-02-03 23:00

View 2 revisions

Error:
DropJob() if offered a zone as a target will just pick the point in the middle doing no other check (old ass code)

Fix:
1. DropJob() now check for free tiles in the target zone, and within the job taker's region (aka not separated by an impassible wall)
2. If for some reason the point becomes unavailable before completion (something built there) and the pathing fails, dropjob will check if owner is within the zone anyway before being reset / sent back to job pool.

Note: also fixed same edge case with "bring water to farm" job types. Might also shorten travel distances as settlers just need to reach the edge of any given zone for such task.

Issue History

Date Modified Username Field Change
2020-01-28 22:14 darshan New Issue
2020-02-02 13:32 EsKa Assigned To => EsKa
2020-02-02 13:32 EsKa Status new => assigned
2020-02-03 22:58 EsKa Status assigned => resolved
2020-02-03 22:58 EsKa Resolution open => fixed
2020-02-03 22:58 EsKa Note Added: 0000092
2020-02-03 23:00 EsKa Note Edited: 0000092 View Revisions